Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.yaac.io
Enum KissEscapeOutputStream.RcvState

    java.lang.Object
      java.lang.Enum<KissEscapeOutputStream.RcvState>
          org.ka2ddo.yaac.io.KissEscapeOutputStream.RcvState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<KissEscapeOutputStream.RcvState>

Enclosing class:
  KissEscapeOutputStream

    public static enum KissEscapeOutputStream.RcvState

extends java.lang.Enum<KissEscapeOutputStream.RcvState>

States of a KISS frame decoder.

Enum Constant Summary
`IDLE` KISS decoder has not received the first FEND byte since (re-)initialization.
`IN_ESC` KISS decoder has received an FESC byte and is waiting for the TFEND or TFESC byte to indicate which byte code was escaped.
`IN_FRAME` KISS decoder has received an FEND byte and is waiting for more body bytes.

Method Summary
`static KissEscapeOutputStream.RcvState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static KissEscapeOutputStream.RcvState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IDLE

    public static final KissEscapeOutputStream.RcvState IDLE

  KISS decoder has not received the first FEND byte since (re-)initialization.

### IN_FRAME

    public static final KissEscapeOutputStream.RcvState IN_FRAME

  KISS decoder has received an FEND byte and is waiting for more body bytes.

### IN_ESC

    public static final KissEscapeOutputStream.RcvState IN_ESC

  KISS decoder has received an FESC byte and is waiting for the TFEND or TFESC byte to indicate which byte code was escaped.

Method Detail

### values

    public static KissEscapeOutputStream.RcvState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (KissEscapeOutputStream.RcvState c : KissEscapeOutputStream.RcvState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static KissEscapeOutputStream.RcvState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD